! gtfigdisplay.f90 - irregular subroutine
! Copyright (C) TOYODA Eizi, 2000.  All rights reserved.

! open(Frame) まではしたくないユーザのために
! 簡便な手段を提供する。

subroutine GTFigDisplay(dev, fig)
    use gtgraph_types, only: GT_DEVICE, GT_FIGURE, GT_FRAME
    use gtgraph_generic, only: Open, Bind, Display, Close
    use dc_trace, only: beginsub, endsub
    implicit none
    type(GT_DEVICE), intent(inout):: dev
    type(GT_FIGURE), intent(inout):: fig
    type(GT_FRAME):: dummy_frame
continue
    call beginsub('gtfigdisplay')
    call Open(dummy_frame)
    call Bind(dummy_frame, fig)
    call Display(dev, dummy_frame)
    ! Close(dummy_frame) 時に Close(fig) させないために
    ! とりあえず関連付けの削除
    deallocate(dummy_frame%figs)
    call Close(dummy_frame)
    call endsub('gtfigdisplay')
end subroutine
